NSX-T Data Center REST API

Setup PKI Profile as Cloud Connector Trust Store in Avi Load Balancer Controller.

Use this API to setup a PKI Profile with CA certificates and configure it as the system trust store
for cloud connectors (vCenter/NSX-T) in Avi Load Balancer Controller.
This API is for VCF deployments only.

Request:

Method:
POST
URI Path(s):
/policy/api/v1/alb/controller-nodes/pki-profile
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
ALBControllerPKIProfileRequest+

Example Request:

POST https://<policy-mgr>/policy/api/v1/alb/controller-nodes/pki-profile { "name": "Cloud-TrustStore-PKI", "ca_certs": [ { "certificate": "-----BEGIN CERTIFICATE-----\nMIIC...\n-----END CERTIFICATE-----" } ], "clustering_id": "e8abab64-774e-48fa-bd5c-41df7aefdb88" }

Successful Response:

Response Code:
201 Created
Response Headers:
Content-type: application/json
Response Body:
ALBControllerPKIProfileResponse+

Example Response:

{ "name": "Cloud-TrustStore-PKI", "uuid": "pkiprofile-12345-abcde", "status": "PKI Profile 'Cloud-TrustStore-PKI' successfully configured as system trust store" }

Required Permissions:

crud

Feature:

policy_avi_lb

Additional Errors: